SWAPON(8)

NAME
swapon, swapoff - enable/disable devices and files for paging and swapping

SYNOPSIS
/etc/swapon -a
/etc/swapon specialfile ...
/etc/swapoff -a
/etc/swapoff specialfile ...

DESCRIPTION
Swapon is used to specify devices on which paging and swapping are to take place. Calls to swapon normally occur in the system multi-user initialization file /etc/rc making all swap devices available, so that the paging and swapping activity is interleaved across several devices and files. Normally, the first form is used:

-a  All devices marked as ``sw'' swap devices in /etc/fstab are made available.

Swapoff disables swapping on the specified devices and files, or on all swap entries in /etc/fstab when the -a flag is given.

SEE ALSO
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

FILES
/dev/hd[ab]? standard paging devices
/dev/sd[ab]? standard (SCSI) paging devices
/etc/fstab ascii filesystem description table

HISTORY
The swapon command appeared in 4.0BSD.

AUTHORS
See the Linux mount(8) man page for a complete author list. Primary contributors include Doug Quale, H. J. Lu, Rick Sladkey, and Stephen Tweedie.